For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
      • GETList Products & SKUs
      • POSTCreate Product & SKU
      • GETGet Product and SKUs
      • PATCHUpdate Product
      • POSTCreate SKUs
      • PATCHUpdate SKU
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
EcommerceProducts

Update Product

PATCH
https://api.webflow.com/v2/sites/:site_id/products/:product_id
PATCH
/v2/sites/:site_id/products/:product_id
$curl -X PATCH https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "id": "660eb7a486d1d6e0412292d7",
> "cmsLocaleId": "653ad57de882f528b32e810e",
> "lastPublished": "2024-04-04T14:24:19.467Z",
> "lastUpdated": "2024-04-04T14:30:19.282Z",
> "createdOn": "2024-04-04T14:22:28.547Z",
> "isArchived": false,
> "isDraft": false,
> "fieldData": {
> "tax-category": "standard-taxable",
> "shippable": true,
> "ec-product-type": "b6ccc1830db4b1babeb06a9ac5f6dd76",
> "sku-properties": [
> {
> "id": "31b77fa66fa376c2c0abb458d5be39fb",
> "name": "Size",
> "enum": [
> {
> "id": "8d21a625d655ab260e9941c27180c75b",
> "name": "Small",
> "slug": "small"
> },
> {
> "id": "ecdca17106ad86c0dfe3b5f3ac8be6c9",
> "name": "Medium",
> "slug": "medium"
> },
> {
> "id": "ec7877d6137ecf7ec86f726c135b1812",
> "name": "Large",
> "slug": "large"
> }
> ]
> },
> {
> "id": "74d3738e62c568d5634dd6989daec5ec",
> "name": "Color",
> "enum": [
> {
> "id": "e539b0d6c3a609cd06ddb2da804f68f0",
> "name": "Royal Blue",
> "slug": "royal-blue"
> },
> {
> "id": "68d98f2fbafc0fd45651cddc44798dd0",
> "name": "Crimson Red",
> "slug": "crimson-red"
> },
> {
> "id": "996cd95c97fd5620d0a374c835b37205",
> "name": "Forrest Green",
> "slug": "forrest-green"
> }
> ]
> }
> ],
> "name": "T-Shirt",
> "description": "A plain t-shirt",
> "slug": "t-shirt",
> "default-sku": "66072fb71b89448912e2681c"
> }
>}'
1{
2 "id": "660eb7a486d1d6e0412292d7",
3 "cmsLocaleId": "653ad57de882f528b32e810e",
4 "lastPublished": "2024-04-04T14:24:19.467Z",
5 "lastUpdated": "2024-04-04T14:30:19.282Z",
6 "createdOn": "2024-04-04T14:22:28.547Z",
7 "isArchived": false,
8 "isDraft": false,
9 "fieldData": {
10 "name": "T-Shirt",
11 "slug": "t-shirt",
12 "description": "A plain t-shirt",
13 "shippable": true,
14 "sku-properties": [
15 {
16 "id": "31b77fa66fa376c2c0abb458d5be39fb",
17 "name": "Size",
18 "enum": [
19 {
20 "id": "8d21a625d655ab260e9941c27180c75b",
21 "name": "Small",
22 "slug": "small"
23 },
24 {
25 "id": "ecdca17106ad86c0dfe3b5f3ac8be6c9",
26 "name": "Medium",
27 "slug": "medium"
28 },
29 {
30 "id": "ec7877d6137ecf7ec86f726c135b1812",
31 "name": "Large",
32 "slug": "large"
33 }
34 ]
35 },
36 {
37 "id": "74d3738e62c568d5634dd6989daec5ec",
38 "name": "Color",
39 "enum": [
40 {
41 "id": "e539b0d6c3a609cd06ddb2da804f68f0",
42 "name": "Royal Blue",
43 "slug": "royal-blue"
44 },
45 {
46 "id": "68d98f2fbafc0fd45651cddc44798dd0",
47 "name": "Crimson Red",
48 "slug": "crimson-red"
49 },
50 {
51 "id": "996cd95c97fd5620d0a374c835b37205",
52 "name": "Forrest Green",
53 "slug": "forrest-green"
54 }
55 ]
56 }
57 ],
58 "tax-category": "standard-taxable",
59 "default-sku": "66072fb71b89448912e2681c",
60 "ec-product-type": "b6ccc1830db4b1babeb06a9ac5f6dd76"
61 }
62}

Update an existing Product.

Updating an existing Product will set the product type to Advanced, which ensures all Product and SKU fields will be shown to users in the Designer.

Required scope | ecommerce:write

Was this page helpful?
Previous

Create SKUs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
product_idstringRequiredformat: "objectid"
Unique identifier for a Product

Request

The product to update
publishStatusenumOptionalDefaults to staging
Indicate whether your Product should be set as "staging" or "live"
Allowed values:
productobjectOptional
The Product object
skuobjectOptional
The SKU object

Response

Request was successful
idstringRead-only
Unique identifier for the Product
cmsLocaleIdstringRead-only
Identifier for the locale of the CMS item
lastPublishedstringRead-onlyformat: "date-time"
The date the Product was last published
lastUpdatedstringRead-onlyformat: "date-time"
The date the Product was last updated
createdOnstringRead-onlyformat: "date-time"
The date the Product was created
isArchivedbooleanDefaults to false
Boolean determining if the Product is set to archived
isDraftbooleanDefaults to false
Boolean determining if the Product is set to draft
fieldDataobject

Contains content-specific details for a product, covering both standard (e.g., title, description) and custom fields tailored to the product setup.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error